Queries
View and manage Organization Queries.
List Organization Queries
/settings/v1/queries
List all Organization Queries
Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/settings/v1/queries" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get a Organization Query
/settings/v1/queries/{queryId}
Get a Organization Query by Id
Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Read permission. See Authentication.
Parameters
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/settings/v1/queries/{queryId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update a Organization Query
/settings/v1/queries/{queryId}
Update a Organization Query by Id
Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X PATCH "https://connect.cambrionix.com/api/settings/v1/queries/{queryId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "data": { "query": "string" }, "endpoint": "string", "name": "string" }'
Delete a Organization Query
/settings/v1/queries/{queryId}
Delete a Organization Query by Id
Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X DELETE "https://connect.cambrionix.com/api/settings/v1/queries/{queryId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create a Organization Query
/settings/v1/query
Create a new organization query.
Requires a bearer access token for this API with the Organization.Settings.SavedQueries.Write permission. See Authentication.
Request body
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X POST "https://connect.cambrionix.com/api/settings/v1/query" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "data": { "query": "string" }, "endpoint": "string", "name": "string" }'